insert.link.page.number
Prev | Cross References | Next

## insert.link.page.number

insert.link.page.number — Turns page numbers in link elements on and off

## Synopsis

    <xsl:param name="insert.link.page.number">no</xsl:param>

## Description

The value of this parameter determines if cross references using the `link` element in printed output will include standard page number citations. It has three possible values.

no

  No page number references will be generated.

yes

  Page number references will be generated for all `link` elements. The style of page reference may be changed if an `xrefstyle` attribute is used.

maybe

  Page number references will not be generated for a `link` element unless it has an `xrefstyle` attribute whose value specifies a page reference.

Although the `xrefstyle` attribute can be used to turn the page reference on or off, it cannot be used to control the formatting of the page number as it can in `xref`. In `link` it will always format with the style established by the gentext template with `name="page.citation"` in the `l:context name="xref"`.

Prev | Up | Next
xref.title-page.separator | Home | Lists